Несколько уязвимостей в Perlbal

Дата публикации:
31.03.2008
Всего просмотров:
898
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-1532
CVE-2008-1652
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Раскрытие важных данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Perlbal 1.x
Уязвимые версии: Perlbal версии до 1.70

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю получить доступ к важным данным и вызвать отказ в обслуживании.

1. Уязвимость существует из-за ошибки в lib/Perlbal/ClientProxy.pm при обработке частей файлов, содержащих нулевую длину. Удаленный пользователь может с помощью специально сформированного запроса аварийно завершить работу службы. Для успешной эксплуатации уязвимости опция "buffer_uploads" должна быть включена.

2. Уязвимость существует из-за недостаточной обработки входных данных в функции "_serve_request_multiple()" в файле lib/Perlbal/ClientHTTPBase.pm. Удаленный пользователь может с помощью специально сформированного запроса выйти за пределы директории приложения и получить доступ к важным данным на системе.

URL производителя: www.danga.com/perlbal/

Решение: Установите последнюю версию 1.70 с сайта производителя.

или введите имя

CAPTCHA